<style>
      .card-notification__date:before {
      background: $color-corporative;
      border-radius: $border-radius-circle;
      content: '';
      display: inline-block;
      height: $card-notification-date-before-size;
      transform: translateX(-.5rem);
      width: $card-notification-date-before-size;
    }
</style>
<h1>Hola <%= @user.nickname %>,</h1>
<h4>Recibiste un nuevo mensaje de <%= @sender.try(:nickname) || @sender.try(:email) %>  en el botón :</h4>
<div style="display: block; max-width: 31.25rem;width: 100%;box-shadow: none;border-radius: 0px;border: 0px;margin-bottom: 0px;margin-left: auto;margin-right: auto;cursor: auto;display: block;">
  <div  style="box-shadow: none;border: 0px;margin-bottom: 0px;background: #fff;border-radius: 0.3125rem !important;position:relative;display:block;" class="button-with-icon">
    <div target="_top" onclick="window.open='<%= @redirectURL %>';" style="cursor: pointer;padding:1rem;display:block;">
      <div  style="display: flex;flex-flow: row nowrap;justify-content: space-between;padding-bottom: 0.5rem;">
        <div style="flex: 0 1 15%;align-items: center !important;display: flex !important;">
          <div id="ember1309" href="" style="border-radius: 50%;display: flex;justify-content: center;overflow: hidden;max-height: 4.375rem;max-width: 4.375rem;height: 4.375rem;width: 4.375rem;">
            <% if @avatar %>
              <%= image_tag(@avatar, alt: "Button Image", width: "auto", height: "100%", style: "-ms-interpolation-mode:bicubic;clear:both;display:block;width: auto;height: 100%;vertical-align: middle;border-style: none;") %>
            <% else %>
              <%= image_tag("https://helpbuttons.org/images/mails/profile_def2.png", alt: "Button Image", width: "auto", height: "100%", style: "-ms-interpolation-mode:bicubic;clear:both;display:block;width: auto;height: 100%;vertical-align: middle;border-style: none;") %>
            <% end %>
          </div>
        </div>
        <div style="flex: 0 1 80%;padding-left: 1rem;text-align: left;display:block;">
          <% if @isNeedType %>
          <div style="font-size: .75rem;font-weight: bold;display:block;color:red;">
            BUSCA / NECESITA
          </div>
          <% elsif @isOfferType %>
          <div style="font-size: .75rem;font-weight: bold;display:block;color:#19AF96;">
            OFRECE
          </div>
          <% else %>
          <div style="font-size: .75rem;font-weight: bold;display:block;">
            <span style="color:#19AF96;">OFRECE</span> y <span style="color:red;">BUSCA A CAMBIO</span>
          </div>
          <% end %>
          <div style="font-size: 1rem;font-weight: bold;padding-top: .25rem;text-align:left;display:block;">
            <%= @owner.nickname %>
          </div>
        </div>
      </div>
      <div style="display:block;">
        <div style="display: block; text-align: left; padding: .25rem 0 0 0;">
          <% @button.needed_tags.each.with_index do |tag, index| %>
          <div style="border-radius: 24px;color: #fff;display: inline-block;font-size: .85rem;margin: 0 .5rem .5rem 0;padding: 0.3rem 0.7rem;background: #EA5648;font-weight: bold;"><%= tag.name %></div>
          <% end %>
        </div>
        <div style="display: block; text-align: left; padding: .25rem 0 0 0;">
          <% @button.offer_tags.each.with_index do |tag, index| %>
          <div style="border-radius: 24px;color: #fff;display: inline-block;font-size: .85rem;margin: 0 .5rem .5rem 0;padding: 0.3rem 0.7rem;background: #19AF96;font-weight: bold;"><%= tag.name %></div>
          <% end %>
        </div>
      </div>
      <div style="word-break: break-word;color: rgba(0, 0, 0, 0.4);font-size: .85rem;line-height: 1.25rem;padding: 0.5rem 0;text-align: left;">
        <p>
          <%= @button.description %>
        </p>
      </div>
      <div style="text-align:left;">
        <div style="color: black;font-size: .85rem;font-weight: bold;flex: 0 0 auto;width: auto;max-width: 100%;">
          <p>
            <% if @button.to_location_name.nil? %>
            En <%= @button.location_name %>
            <% else %>
            De  <%= @button.location_name %>  A  <%= @button.to_location_name %>
            <% end %>
          </p>
        </div>
        <div style="color: black;font-size: .85rem;font-weight: bold;flex: 0 0 auto;width: auto;max-width: 100%;">
          <%= @buttonDate %>
        </div>
      </div>
    </div>
  </div>
</div>
<div style="margin: auto; max-width: 30.25rem; margin-bottom:2rem; margin-top:2rem; height: 100%; display: flex; justify-content: space-between;padding: 0.5rem;position: relative; background: white; border-radius:8px; border: 1px solid #bbb; box-shadow:none;" class="" >
  <div style="position: relative;min-height: 1px;padding-right: 15px;width: 16.66666667%;padding-left: 15px; flex: 0 1 60px;margin-top: auto;margin-bottom: auto;padding:0; float:left;" class="">
      <% if @avatarSender %>
        <%= image_tag(@avatarSender, alt: "Button Image", width: "100%", height: "auto", style: "max-width: 80px; border-radius:50%;") %>
      <% else %>
        <%= image_tag("https://helpbuttons.org/images/mails/profile_def2.png", alt: "Button Image", width: "100%", height: "auto", style: "border-radius:50%;max-width: 80px;") %>
      <% end %>
  </div>
  <div style="flex: 0 1 80%;position: relative;min-height: 1px;padding-right: 15px;padding-left: 15px;width: 66.66666667%; " class="">
    <div style="padding-left: 0.0rem !important; padding-right: 0.5rem !important; overflow: hidden; text-overflow: ellipsis; white-space: nowrap; color: $color-gray; display: flex;font-size: .65rem;flex-flow: row nowrap;justify-content: space-between;" class="">
      <div style="flex: 0 1 30%; text-align: left; flex:none; " class="card-notification__date">
        Ahora
      </div>
    </div>
    <h2 style="font-size: 1rem;font-weight: bold;padding-top: .25rem;text-align:left;display:block; " class="">
      <%= @sender.nickname %>
    </h2>
    <p style="color: $card-notification-paragraph-color;font-size: .85em;  line-height: 1.25rem; overflow: hidden; float:left; text-overflow: ellipsis; width: 100%; text-align: left;" class="">
      <%= @message.body %>
    </p>
  </div>
</div>
<div><a href="<%= @redirectchatURL %>" style="text-decoration:none; display: inline; height: 7rem; border: 0.125rem solid #343a40; border-radius: 0.3125rem; padding: 0.5rem 10%;background:#FFDD02; color:black ;" target="_blank">Ver mensajes en tu perfil</a></div>
